Browse files

Improved coverage percentages.

  • Loading branch information...
1 parent a16083f commit 96bd5f4400181994fb240aa763f545ab5339b7aa @markbates committed Sep 7, 2011
Showing with 11 additions and 26 deletions.
  1. +1 −1 Rakefile
  2. +10 −25 cover_me.gemspec
View
2 Rakefile
@@ -19,7 +19,7 @@ Gemstub.test_framework = :rspec
Gemstub.gem_spec do |s|
s.summary = 'CoverMe - Code Coverage for Ruby 1.9'
s.description = s.summary
- s.version = '1.1.2'
+ s.version = '1.2.0'
s.rubyforge_project = 'magrathea'
s.add_dependency('configatron')
s.add_dependency('hashie')
View
35 cover_me.gemspec
@@ -1,38 +1,23 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{cover_me}
- s.version = "1.1.2.20110817090130"
+ s.name = "cover_me"
+ s.version = "1.2.0.20110907090445"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["markbates"]
- s.date = %q{2011-08-17}
- s.description = %q{CoverMe - Code Coverage for Ruby 1.9}
- s.email = %q{mark+cover_me@markbates.com}
+ s.date = "2011-09-07"
+ s.description = "CoverMe - Code Coverage for Ruby 1.9"
+ s.email = "mark+cover_me@markbates.com"
s.extra_rdoc_files = ["LICENSE"]
s.files = ["lib/cover_me/config.rb", "lib/cover_me/directory_report.rb", "lib/cover_me/emma_formatter.rb", "lib/cover_me/formatter.rb", "lib/cover_me/global_report.rb", "lib/cover_me/hash.rb", "lib/cover_me/html_formatter.rb", "lib/cover_me/index.rb", "lib/cover_me/processor.rb", "lib/cover_me/report.rb", "lib/cover_me/results.rb", "lib/cover_me/templates/emma.xml.erb", "lib/cover_me/templates/index.css", "lib/cover_me/templates/index.html.erb", "lib/cover_me/templates/jquery.js", "lib/cover_me/templates/jquery.tablesorter.js", "lib/cover_me/templates/report.css", "lib/cover_me/templates/report.html.erb", "lib/cover_me.rb", "lib/generators/cover_me/install/install_generator.rb", "lib/generators/cover_me/install/templates/cover_me.rake", "LICENSE"]
- s.homepage = %q{http://www.metabates.com}
- s.post_install_message = %q{Thank you for installing CoverMe!
-
-USAGE:
-At the top of your 'test_helper.rb' or 'spec_helper.rb' place the following:
-
-require 'cover_me'
-
-!!! IT IS VERY IMPORTANT THAT THE REQUIRE STATEMENT BE THE VERY FIRST LINE OF THE FILE !!!
-
-RAILS 3:
-If you are planning on using this with a Rails 3 project please run the following:
-
-$ rails g cover_me:install
-
-This will install a Rake task to wrap your tests in CoverMe.
-}
+ s.homepage = "http://www.metabates.com"
+ s.post_install_message = "Thank you for installing CoverMe!\n\nUSAGE:\nAt the top of your 'test_helper.rb' or 'spec_helper.rb' place the following:\n\nrequire 'cover_me'\n\n!!! IT IS VERY IMPORTANT THAT THE REQUIRE STATEMENT BE THE VERY FIRST LINE OF THE FILE !!!\n\nRAILS 3:\nIf you are planning on using this with a Rails 3 project please run the following:\n\n$ rails g cover_me:install\n\nThis will install a Rake task to wrap your tests in CoverMe.\n"
s.require_paths = ["lib"]
s.required_ruby_version = Gem::Requirement.new(">= 1.9.2")
- s.rubyforge_project = %q{magrathea}
- s.rubygems_version = %q{1.6.2}
- s.summary = %q{CoverMe - Code Coverage for Ruby 1.9}
+ s.rubyforge_project = "magrathea"
+ s.rubygems_version = "1.8.10"
+ s.summary = "CoverMe - Code Coverage for Ruby 1.9"
if s.respond_to? :specification_version then
s.specification_version = 3

0 comments on commit 96bd5f4

Please sign in to comment.